package me.zhengjie.modules.dm.messageSendLog.service;

import me.zhengjie.modules.dm.messageSendLog.domain.DmMessageSendLog;

import java.awt.print.Pageable;
import java.util.List;

public interface DmMessageSendLogService {

    /**
     * 查询数据总数
     * @return long
     */
    long getCount();

    /**
     * 创建
     * @param resources
     * @return DmMessageSendLog
     */
    DmMessageSendLog create(DmMessageSendLog resources);

    /**
     * 根据id查询
     * @param id
     * @return DmMessageSendLog
     */
    DmMessageSendLog findById(String id);

    /**
     * 查询数据分页
     * @return Map<String,Object>
     */
    List<DmMessageSendLog> queryAll();

}
